summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gmail.com>2011-08-02 00:33:49 -0400
committerMatt Turner <mattst88@gmail.com>2011-08-02 00:33:49 -0400
commit004a1d1746c62bb44b440df66f196d27d12d16d6 (patch)
treed68398b9af39fb12d0ab57fb59669b8c53ce3019 /autogen.sh
parentfcc02b00aeed32e3b87c41f138799a68072a53ee (diff)
Add autogen.sh.
Signed-off-by: Matt Turner <mattst88@gmail.com>
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..904cd67
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"